Subject: Changing the value of RFCs not numbers (was Re: The RFC Acknowledgement)

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 12 Feb 2013 01:57:19 +0100

Many said to me before as you do RFC don't change, it is already known
in any org that documents don't change when published. Even author's
drafts in IETF don't change but are updated by new versions or new
names, this is progress of doc process in IETF. The RFCs can be
rewritten and obsolete the old RFC, so no more use of the old one, we
use the new one for progress.

 My understanding is that the RFC-ideas and RFC-effects in the
Internet may change. The RFC-document is just a reference, what is
important is its specification usefulness and the reputation to be
used (some RFCs are not used). Therefore, in my point of view the
value of any RFC may change in future, but the number of RFC and
publications never changes,

AB
++
On 2/12/13, joel jaeggli <[email-masked]> wrote:

> On 2/11/13 3:32 PM, Abdussalam Baryun wrote:
>> On 2/12/13, joel jaeggli <[email-masked]> wrote:
>>>> Do you mean that IETF is producing what it does not own, or IETF has
>>>> no right to edit/amend a document that it is publishing? I
>>>> misunderstand your point,
>>>>
>>> Once an RFC number is issued  and the document published, the content of
>>> that RFC never changes.
>>>
>>> See RFC 2200 section 2
>>>
>> I agree, but still IETF can update or obsolete any document,

> A consensus driven working group process can be used by IETF
> participants to produce a new RFC which updates or obsoletes an existing
> document. The existing document does not change.
>
> ftp://ftp.ietf.org/rfc/rfc822.txt looks the same as in 1982.

>>
>> The question ment to be:
>> Do you mean that IETF is producing what it does not own, or IETF has
>> no right to edit/amend a document that will be published?

> Authors grant rights under the terms of the provisions in force at the
> time of publication. Not some unspecified set of rules in the future. So
> variously none, 1310, 1602, 2026, 3978, 4748 and the IETF Trust
> Licensing Policy.

>> AB

---

From: Yoav Nir <[email-masked]>
Date: Tue, 12 Feb 2013 08:54:57 +0000

On Feb 12, 2013, at 2:57 AM, Abdussalam Baryun <[email-masked]> wrote:

> in any org that documents don't change when published.

I think the reason this keeps coming up, is that the IETF documents are usually referenced by number rather than title. So you'd say that your system is compliant with RFC 5280 rather than saying that it is compliant with "Internet X.509 Public Key Infrastructure Certificate and Certificate Revocation List (CRL) Profile".

In other organizations, like the W3C, documents are referred to by name. So "Content Security Policy 1.0" is called that when it's proposed, when it's discussed, and when it's published. Even a later revision might be called "Content Security Policy 1.1", so version numbers, while they exist and are accessible, are mostly hidden from the users.

Yoav